unit uMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HTMLParser, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    HTMLParser1: THTMLParser;
    Label1: TLabel;
    OpenDialog: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure HTMLParser1Parsing(Sender: TObject; Lines, Total: Integer);
    procedure HTMLParser1FoundComment(Sender: TObject; Comment: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 If OpenDialog.Execute then
 Begin
   HTMLParser1.HTML.Clear;
   HTMLParser1.HTML.LoadFromFile(OpenDialog.Filename);
   HTMLParser1.Execute;
 End;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 Memo1.Lines.Clear;
 Memo1.Lines.Assign(HTMLparser1.Parsed.Hyperlinks);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 Memo1.Lines.Clear;
 Memo1.Lines.Assign(HTMLparser1.Parsed.Images);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
 Memo1.Lines.Clear;
 Memo1.Lines.Assign(HTMLparser1.Parsed.Emails);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Memo1.Lines.Clear;
  Memo1.Lines.Assign(HTMLparser1.Parsed.HTTPLinks);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 Memo1.Lines.Clear;
 Memo1.Lines.Assign(HTMLparser1.Parsed.HTML.Local);
end;

procedure TForm1.HTMLParser1Parsing(Sender: TObject; Lines,
  Total: Integer);
begin
 Label1.Caption:=Format('HTML Parsing ... %d of %d',[Lines,Total]);
 Application.ProcessMessages;
end;

procedure TForm1.HTMLParser1FoundComment(Sender: TObject; Comment: String);
begin
 ShowMessage('Comment : "'+Comment+'" on line #'+InttoStr(HTMLParser1.CurrentLine));
end;

end.
